/* Copyright (c) 1997 QUALCOMM Incorporated.
 * All rights reserved.
 */
#include <stdio.h>
#include <stdlib.h>
#include <windows.h>

#include "env.h"

CONFIG_INFO gConfInfo;



int InitConfigInfo(void)
{
	FILE *fp;
	char buf[512];

	GetModuleFileName(NULL, buf, 512);
	if ( GetModuleFileName( NULL, buf, 512 ) != 0 )
	{
		//trim the file name
		char *ptr = buf + strlen(buf);
		while(*ptr != '\\')
			ptr--;
		*(++ptr) = '\0' ;
		
		strcpy(gConfInfo.WorkDir, buf);
		strcat(buf, "slapd.conf");
		strcpy(gConfInfo.ConfFile, buf);
	}
	
	//tack a / at the end of directory if one is not there
	if(gConfInfo.WorkDir[strlen(gConfInfo.WorkDir)-1] != '\\')
		strcat(gConfInfo.WorkDir, "\\");
	
	//if log directory is not available, use Work directory as log directory
	if( strlen(gConfInfo.LogDirectory) == 0)
	{
		strcpy(gConfInfo.LogDirectory, gConfInfo.WorkDir);
		strcat(gConfInfo.LogDirectory, "log\\");
	}
	
	//tack a / at the end of directoru if one is not there
	if(gConfInfo.LogDirectory[strlen(gConfInfo.LogDirectory)-1] != '\\')
		strcat(gConfInfo.LogDirectory, "\\");

	
	if ((fp = fopen(gConfInfo.ConfFile, "r")) != NULL)
	{
		fclose(fp);
		return 0;
	}
	else
	{
		return -1;
	}
}



